## com.google.appengine.api.oauth
Class OAuthRequestException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.appengine.api.oauth.OAuthRequestException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidOAuthParametersException, InvalidOAuthTokenException

    public class OAuthRequestException

extends java.lang.Exception

`OAuthRequestException` is thrown when a request is not a valid OAuth request.

See Also:
  Serialized Form

Constructor Summary
`OAuthRequestException(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OAuthRequestException

    public OAuthRequestException(java.lang.String message)